# Add 'needs changelog` label to any change to code files as long as the `CHANGELOG` hasn't changed
# Skip dependabot and pre-commit-ci PRs
needs changelog:
  - all:
      - changed-files:
          - all-globs-to-all-files: "!docs/changelog.rst"
      - base-branch: "^(?!dependabot).*"
      - base-branch: "^(?!pre-commit-ci).*"
